Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class PDFConformanceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.fop.pdf.PDFConformanceException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  TransparencyDisallowedException

    public class PDFConformanceException

extends java.lang.RuntimeException

RuntimeException descendant indicating a conformance problem during PDF generation. This exception will be throws, for example, when PDF/A-1 Level B conformance is activated but the PDF version produced is not PDF 1.4 as mandated by ISO 19005-1:2005(E).

See Also:
  Serialized Form

Constructor Summary
`PDFConformanceException()` Constructs an PDFConformanceException with no detail message.
`PDFConformanceException(java.lang.String message)` Constructs an PDFConformanceException with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PDFConformanceException

    public PDFConformanceException()

  Constructs an PDFConformanceException with no detail message. A detail message is a String that describes this particular exception.

### PDFConformanceException

    public PDFConformanceException(java.lang.String message)

  Constructs an PDFConformanceException with the specified detail message. A detail message is a String that describes this particular exception.

  Parameters:
    `message` - the String that contains a detailed message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.